Pluckeye works on Windows 7 (with service pack 1), Windows 8, Windows 8.1, Windows 10, and Windows 11 (see below). Some older versions of Pluckeye support XP and Vista. If you’re interested in finding the latest version of Pluckeye that supports these legacy systems, email us and we’ll see if we can find them.

Windows 11

Those using Pluckeye earlier than 1.10.23 should run:

pluck repair
pluck + block searchhost.exe

Windows 7

Note that Windows 7 computers that do not have Microsoft hotfix 2590550 installed, and that have also have some other products, may lose Internet connectivity completely. The root cause is as yet unknown.